import { useMessage } from "/@/hooks/web/useMessage";
import { defHttp } from '/@/utils/http/axios';

const { createConfirm } = useMessage();

enum Api {
  list = '/project.create/stProjectCre/list',
  listPrepar = '/project.create/stProjectCre/listPrepar',
  save='/project.create/stProjectCre/add',
  edit='/project.create/stProjectCre/edit',
  approve = '/project.create/stProjectCre/approve',
  deleteOne = '/project.create/stProjectCre/delete',
  deleteBatch = '/project.create/stProjectCre/deleteBatch',
  importExcel = '/project.create/stProjectCre/importExcel',
  exportXls = '/project.create/stProjectCre/exportXls',
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

export const listPrepar = (params) =>
defHttp.get({url: Api.listPrepar, params});


/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}

export const approve = (params) => {
  return defHttp.post({url: Api.approve, params});
}
